<?php 

/**
 * Profiles Controller
 *
 * @link 		https://entusiastics.com
 * @since 		1.0.0
 *
 * @package 	Entusiastics_Quiz_Game
 * @subpackage 	Entusiastics_Quiz_Game/admin/controllers
 */

if( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class ProfilesController {

	static function manage() {

		$action = filter_input(INPUT_GET, 'action');

		if(empty($action)){
			return false;
		}

		switch($action) {
			case 'add':
			self :: index();
			break;
			case 'edit': 
			self :: edit();
			break;
			case 'delete': 
			self :: delete();
			break;
			case 'copy': 
			self :: copy();
			break;
			default:
			self :: index();
			break;
		}

	} // end manage()

	static function index() {

		$request = filter_input_array(INPUT_POST);
		$save = filter_input(INPUT_POST, 'ok');
		
		if(!empty($save)) {
			self::save($request);
		}

		include(ENTUSIASTICS_QUIZ_GAME_PLUGIN_PATH.'admin/partials/entusiastics-quiz-game-profile.php');

	} // end index

	static function save($request) {

		$profile = new Profile();
		
		try {
			$pid = $profile->add($request);
			entusiastics_quiz_game_redirect("admin.php?page=entusiastics-quiz-game-profiles"); 
			exit;
		}
		catch(Exception $e) {
			$error = $e->getMessage();
		}
		

	} // end save
	
	static function edit() {

		$profile = new Profile();

		$request = filter_input_array(INPUT_POST);
		$profile_id = filter_input(INPUT_GET, 'id');
		$store = filter_input(INPUT_POST, 'ok');
		
		if(!empty($store)) {
			self::store($request, $profile_id);
		}
		
		// select the profile
		$profile = $profile->getProfileById($profile_id);

		include(ENTUSIASTICS_QUIZ_GAME_PLUGIN_PATH.'admin/partials/entusiastics-quiz-game-profile.php');

	} // end edit

	static function store($request, $profile_id) {

		$profile = new Profile();

		try {
			$profile->save($request, $profile_id);			
			entusiastics_quiz_game_redirect("admin.php?page=entusiastics-quiz-game-profile&action=edit&id=".$profile_id);
		}
		catch(Exception $e) {

			$error = $e->getMessage();
		}

	} // end store

	public function delete() {

		$profile = new Profile();

		$profile_id = filter_input(INPUT_GET, 'id');

		$profile->delete($profile_id);

		$delete_msg = 'ok';

		entusiastics_quiz_game_redirect("admin.php?page=entusiastics-quiz-game-profiles");
		

	} // end delete

}