<?php
/**
 * The template for game front page.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Entusiastics_Quiz_Game
 * @subpackage Entusiastics_Quiz_Game/public/templates
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly 

$_question = new Question();

$with_image = '';

?>

<style>
	#site-header {
		display: none!important;
	}

	.entry-header {
		display: none!important;
	}

	#site-footer {
		display: none!important;
	}

	.footer-nav-widgets-wrapper {
		display: none!important;
	}
</style>

<?php if($args['first_load'] == false): ?>

	<div class="entusiastic-quiz" id="entusiastics-main-quiz-div-<?php echo $args['quiz']->id?>">

	<?php endif;?>

	<div id="entusiastics-quiz-wrap-<?php echo $args['quiz']->id?>" class="entusiastics-quiz-wrap">

		<div class="entusiastic-question-header" style="background-color: <?php echo $args['quiz']->theme_color ?>">

			<div class="entusiastic-question-header-wrapper">

				<div class="entusiastic-question-header-inner">
					
					<div class="entusiastic-question-title">
						<h1 class="entusiastic-question-title-text">
							<?php echo $args['quiz']->title ?>
						</h1>
					</div>

					<div class="entusiastic-question-close">
						<a id="entusiastics-close-quiz-button" href="#" class="entusiastic-question-cross"></a>
					</div>

				</div>

			</div>

		</div>

		<div class="entusiastic-question-container">

			<div class="entusiastic-left-container">

				<div class="vertical-line">
					
				</div>

			</div>

			<div class="entusiastic-question-wrapper">

				<!-- Answers section -->
				<form method="post" id="entusiastics-question-form-<?php echo $args['quiz']->id?>" >

					<div class="entusiastics-question-area" >

						<!-- Video section -->
						<?php include_once 'partials/question-video.php'; ?>

						<!-- Question text secction -->
						<div class="entusiastics-question <?php echo $with_image?>" style="display:<?php echo $args['question']->video_url != '' ? 'none' : 'flex'; ?>">
							<?php echo $_question->display_question($args['question']);?>
						</div>

						<!-- Question Image section -->
						<?php if(!empty($args['question']->image_url)):?>

							<div class="entusiastic-question-image-wrapper">
								<img src="<?php echo $args['question']->image_url ?>" alt="<?php echo _e('Imagen de la pregunta','entusiastics-quiz-game') ?>" />
							</div>

						<?php endif;?>

						<style>
							.entusiastics-quiz-label:hover {
								background-color: <?php echo $args['quiz']->theme_color ?>;
								border: 1px solid: <?php echo $args['quiz']->theme_color ?>;
								color: #FFF;
							}

							.entusiastics-quiz-label.active {
								background-color: <?php echo $args['quiz']->theme_color ?>;
								border: 1px solid: <?php echo $args['quiz']->theme_color ?>;
								color: #FFF;
							}
						</style>

						<!-- Question choices section -->
						<div id="entusiastics-choices-wrapper" style="display:<?php echo $args['question']->video_ends == 1 ? 'none' : 'flex'; ?>">

							<div class="entusiastics-quiz-choices" id="entusiastics-quiz-choices-<?php echo $args['question']->id?>">
								<?php echo $_question->display_choices($args['question'], $args['choices']);?>
							</div>

						</div>

						<div class="entusiastics-question-action" style='visibility:<?php echo $args['question']->autocontinue == 1 ? 'visible' : 'hidden';?>'>
							<div class="entusiastics-question-action-button-wrapper">
								<button type="button" class="entusiastics-start-game-button" id="entusiastics-quiz-action-<?php echo $args['quiz']->id?>" onclick="entusiasticsQuizGame.goon(<?php echo $args['quiz']->id?>, '<?php echo admin_url('admin-ajax.php')?>');" disabled="true">
									<?php echo empty($args['ui']['go_ahead_value']) ?__('Enviar respuesta y continuar', 'entusiastics-quiz-game') : $args['ui']['go_ahead_value'] ?>
								</button>
							</div>
							<span id="entusiastics-quiz-info-checkbox-text" style="display:none"><?php echo _e('Debes seleccionar mínimo una respuesta.', 'entusiastics-quiz-game'); ?></span>

							<span id="entusiastics-quiz-info-textarea-text" style="display:none"><?php echo _e('No puedes dejar la respuesta vacía.', 'entusiastics-quiz-game'); ?></span>
						</div>
					</div>

					<input type='hidden' id='profile-id-selected' name="profile_id" value='' />
					<input type='hidden' id='choice-id-selected' name="choice_id" value='' />
					<input type="hidden" name="confirm_exit_message" value="<?php _e('¿Estas seguro que quieres abandornar el quiz ?, perderás todo el proceso.', 'entusiastics-quiz-game'); ?>">
					<input type="hidden" name="confirm_question_message" value="<?php echo _e('Por favor seleccione una respuesta', 'entusiastics-quiz-game'); ?>">
					<input type="hidden" name="question_id" value="<?php echo $args['question']->id?>">
					<input type="hidden" name="question_title" value="<?php echo $args['question']->question?>">
					<input type="hidden" name="quiz_id" value="<?php echo $args['quiz']->id?>">
					<input type="hidden" name="post_id" value="<?php echo $args['post']->ID?>">
					<input type="hidden" name="question_type" value="<?php echo @$args['question']->qtype?>">
					<input type="hidden" id="section_number" value="<?php echo @$args['answered_questions'] ? count($args['answered_questions']) + 1 : 1; ?>">
					<input type="hidden" id="last_answer" value="<?php echo @$args['last_choice']->choice; ?>">
					<input type="hidden" id="last_question" value="<?php echo @$args['last_question']->question; ?>">
					<input type="hidden" id="last_connotation" value="<?php echo @$args['last_connotation']->connotation; ?>">
					<input type="hidden" id="last_profile" value="<?php echo @$args['last_profile']->name; ?>">
				</form>

				<?php
				include 'partials/question-summary.php';
				?>

			</div>

			<div class="entusiastic-right-container"></div>

		</div>
	</div>

	<?php

	include 'partials/question-loader.php';

	include 'partials/question-modal.php';

	if($args['first_load'] == false){ ?>

	</div>

	<script type="text/javascript">
		

		// prevent enter key from reloading the form
		jQuery(document).ready(function() {

			jQuery(window).keydown(function(event){
				if(event.keyCode == 13) {
					event.preventDefault();
					return false;
				}

			});

		});

	</script>

<?php } ?>